%define pkg_name        XML-Handler-YAWriter
%define pkg_version     0.23
%define rpm_pkg_version 0.23
%define rpm_pkg_release 3.n0i.4

Summary:       Yet another Perl SAX XML Writer
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}

Group:         Development/Libraries
License:       Artistic
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/authors/id/K/KR/KRAEHE/%{pkg_name}-%{pkg_version}.tar.gz

BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: reb00t-rpmdevtools
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(IO::File) >= 1.06
BuildRequires: perl(XML::Parser::PerlSAX) >= 0.06


%description
YAWriter implements Yet Another XML::Handler::Writer. The reasons for this one
are that I needed a flexible escaping technique, and want some kind of pretty
printing.


%prep
%setup -q -n %{pkg_name}-%{pkg_version}


%build
%{perl_build}
%{!?_without_test:%{__make} test}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{perl_files -b -m}
%doc Changes README


%changelog
* Fri Jun 15 2007 Marius Feraru <altblue@n0i.net> - 0.23-3.n0i.4
- spec file (re)created using N0i::CPAN::RPMizer/1.14.9
- rebuild on perl 5.8.8

* Sat Jul 30 2005 Marius Feraru <altblue@n0i.net> 0.23-2.n0i.3
- spec file (re)created using N0i::CPAN::RPMizer/0.1
- rebuild on perl 5.8.7

* Sun Mar 20 2005 Marius Feraru <altblue@n0i.net> 0:0.23-1.n0i.2
- automatic rebuild (perl 5.8.6)

* Sat Dec 04 2004 Marius Feraru <altblue@n0i.net> 0:0.23-1.n0i.1
- version 0.23
- spec file (re?)created using N0i::CPAN::RPMizer/2004083101
